Bug 1394007 - filestore: can get stuck in an unbounded loop during scrub
Summary: filestore: can get stuck in an unbounded loop during scrub
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 2.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: 2.1
Assignee: Samuel Just
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-10 19:55 UTC by Ken Dreyer (Red Hat)
Modified: 2017-07-30 15:19 UTC (History)
9 users (show)

Fixed In Version: RHEL: ceph-10.2.3-14.el7cp Ubuntu: ceph_10.2.3-15redhat1
Doc Type: Bug Fix
Doc Text:
Due to a bug in the underlying source code, OSD nodes sometimes looped through the entire placement group, not only the requested segment, during the scrubbing process. Consequently, in some cases, the OSD nodes reached the 'suicide timeout' and terminated. This bug has been fixed, and OSD nodes no longer terminate due to the described problem.
Clone Of:
Environment:
Last Closed: 2016-12-15 16:49:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2954 normal SHIPPED_LIVE Moderate: Red Hat Ceph Storage 2.1 security and bug fix update 2017-03-22 02:06:31 UTC
Red Hat Product Errata RHSA-2016:2956 normal SHIPPED_LIVE Moderate: Red Hat Ceph Storage 2.1 security and bug fix update 2016-12-15 23:02:58 UTC
Ceph Project Bug Tracker 17859 None None None 2016-11-10 19:55:26 UTC
Red Hat Knowledge Base (Solution) 2800491 None None None 2016-12-08 21:12:14 UTC

Description Ken Dreyer (Red Hat) 2016-11-10 19:55:27 UTC
Description of problem:
Filestore collections with a certain layout can lead to slow scrubs or OSD suicides

Version-Release number of selected component (if applicable):
ceph v10.2.3

How reproducible:
unknown

Actual results:
slow scrubs or OSD suicides

Expected results:
scrubs finish in normal time, OSDs do not suicide

Comment 27 errata-xmlrpc 2016-12-15 16:49:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2954.html


Note You need to log in before you can comment on or make changes to this bug.